> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice

> Returns invoice



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/invoices/{invoiceUUID}
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/invoices/{invoiceUUID}:
    get:
      tags:
        - Invoices
      summary: Get invoice
      description: Returns invoice
      operationId: API-Pub-Invoices-Get
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: invoiceUUID
          in: path
          description: Invoice UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          description: Invoice
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.Invoices.InvoiceResource
              example:
                uuid: string
                tenant_uuid: string
                invoice_number: string
                date: 0
                date_due: 0
                date_paid: 0
                subtotal: 0
                subtotal_with_taxes: 0
                total: 0
                total_left_to_pay: 0
                total_paid: 0
                total_tax: 0
                status: string
                items_count: 0
                items:
                  - invoice_uuid: 0
                    service_uuid: 0
                    description: string
                    amount: 0
                    taxed: 0
                    period_start: 0
                    period_end: 0
                    type: string
                    metadata:
                      <key1>: {}
                      <key2>: {}
                      <key..>: {}
                      <keyN>: {}
                taxes:
                  - description: string
                    percentage: 0
                    amount: 0
                    order: 0
                    stacks: 0
                transactions:
                  - invoice_uuid: 0
                    service_uuid: 0
                    description: string
                    amount: 0
                    taxed: 0
                    period_start: 0
                    period_end: 0
                    type: string
                    metadata:
                      <key1>: {}
                      <key2>: {}
                      <key..>: {}
                      <keyN>: {}
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.Invoices.InvoiceResource:
      type: object
      properties:
        uuid:
          type: string
        tenant_uuid:
          type: string
        invoice_number:
          type: string
        date:
          type: integer
        date_due:
          type: integer
        date_paid:
          type: integer
        subtotal:
          type: number
          format: float
        subtotal_with_taxes:
          type: number
          format: float
        total:
          type: number
          format: float
        total_left_to_pay:
          type: number
          format: float
        total_paid:
          type: number
          format: float
        total_tax:
          type: number
          format: float
        status:
          type: string
        items_count:
          type: integer
        items:
          $ref: '#/components/schemas/API.Pub.Resources.Invoices.ItemCollectionBare'
        taxes:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Invoices.InvoiceTaxCollectionBare
        transactions:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Invoices.TransactionCollectionBare
    API.Pub.Resources.Invoices.ItemCollectionBare:
      type: array
      items:
        $ref: '#/components/schemas/API.Pub.Resources.Invoices.ItemResource'
    API.Pub.Resources.Invoices.InvoiceTaxCollectionBare:
      type: array
      items:
        $ref: '#/components/schemas/API.Pub.Resources.Invoices.InvoiceTaxResource'
    API.Pub.Resources.Invoices.TransactionCollectionBare:
      type: array
      items:
        $ref: '#/components/schemas/API.Pub.Resources.Invoices.ItemResource'
    API.Pub.Resources.Invoices.ItemResource:
      type: object
      properties:
        invoice_uuid:
          type: integer
        service_uuid:
          type: integer
        description:
          type: string
        amount:
          type: number
          format: float
        taxed:
          type: integer
        period_start:
          type: integer
        period_end:
          type: integer
        type:
          type: string
        metadata:
          type: object
          properties:
            <key1>:
              oneOf:
                - type: string
                - type: integer
                - type: number
                  format: float
                - type: array
                  items: {}
            <key2>:
              oneOf:
                - type: string
                - type: integer
                - type: number
                  format: float
                - type: array
                  items: {}
            <key..>:
              oneOf:
                - type: string
                - type: integer
                - type: number
                  format: float
                - type: array
                  items: {}
            <keyN>:
              oneOf:
                - type: string
                - type: integer
                - type: number
                  format: float
                - type: array
                  items: {}
    API.Pub.Resources.Invoices.InvoiceTaxResource:
      type: object
      properties:
        description:
          type: string
        percentage:
          type: number
          format: float
        amount:
          type: number
          format: float
        order:
          type: number
          description: Indicates in what order the taxes are applied, lowest to highest
          format: float
        stacks:
          type: number
          description: |-
            Indicates whether this tax is applied on top of previous taxes,
                                     according to 'order'
          format: float
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````